%define	pkgname	dumphd
%define pkgdbg bdvmdbg
%define pkgdbgver 0.1.5
Name:		%{pkgname}
Version:	0.61
Release:	5.1
Group:		Multimedia
Summary:	DumpHD Tool
License:	unknown
Url:		http://forum.doom9.org/showthread.php?t=123111
Source0:	%{pkgname}-%{version}.tar.bz2
Source1:	%{pkgdbg}-%{pkgdbgver}.tar.bz2
Source2:	%{pkgname}-rpmlintrc
Patch0:		%{pkgname}-path.patch
Patch1:		%{pkgdbg}.patch
BuildRoot:	%{_tmppath}/%{pkgname}-%{version}-root
BuildRequires:	unzip
BuildRequires:	aacskeys
Provides:	%{pkgdbg} = %{pkgdbgver}
%if 0%{?suse_version} >= 1120
Requires:	java-sun >= 1.6
%else
Requires:	java >= 1.6
%endif
Requires:	aacskeys

%description
DumpHD is a HD-DVD / Blu-Ray decrypter based on the idea of BackupHDDVD by
muslix64. The goal of this program is to make a perfect backup without any
traces of AACS.

This program is written in Java and requires the JRE 1.6 or later. It should
run on every platform that supports Java. It is HIGHLY recommended to use the
Server VM, the Client VM suffers a SEVERE performance drop, almost by
factor 1.8

%prep
%setup -a 1
%patch0
%patch1

%build

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
%__install -d %{buildroot}%{_datadir}/%{pkgname}
%__install -d %{buildroot}%{_sysconfdir}/%{pkgname}
cp *.jar *.sh %{buildroot}%{_datadir}/%{pkgname}/
cp *.cfg %{buildroot}%{_sysconfdir}/%{pkgname}/
cp %{pkgdbg}-%{pkgdbgver}/*.jar %{buildroot}%{_datadir}/%{pkgname}/
cp %{pkgdbg}-%{pkgdbgver}/*.sh %{buildroot}%{_datadir}/%{pkgname}/
cp %{pkgdbg}-%{pkgdbgver}/*.bin %{buildroot}%{_datadir}/%{pkgname}/
cp -R %{pkgdbg}-%{pkgdbgver}/player %{buildroot}%{_datadir}/%{pkgname}/
%__install -d %{buildroot}%{_bindir}
cd %{buildroot}%{_bindir}
ln -sf %{_datadir}/%{pkgname}/dumphd.sh dumphd
ln -sf %{_datadir}/%{pkgname}/acapacker.sh acapacker
ln -sf %{_datadir}/%{pkgname}/packscanner.sh packscanner
cd %{buildroot}%{_datadir}/%{pkgname}
ln -sf %{_sysconfdir}/%{pkgname}/KEYDB.cfg
ln -sf %{_libdir}/libaacskeys.so
chmod +x *.sh

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Readme.txt
%dir %{_datadir}/%{pkgname}
%{_datadir}/%{pkgname}/*.sh
%{_datadir}/%{pkgname}/*.jar
%{_datadir}/%{pkgname}/KEYDB.cfg
%{_datadir}/%{pkgname}/libaacskeys.so
%{_datadir}/%{pkgname}/*.bin
%dir %{_datadir}/%{pkgname}/player
%{_datadir}/%{pkgname}/player/*.bin
%dir %{_sysconfdir}/%{pkgname}
%config(noreplace) %attr(0666,root,root) %{_sysconfdir}/%{pkgname}/KEYDB.cfg
%{_bindir}/dumphd
%{_bindir}/acapacker
%{_bindir}/packscanner

%changelog
* Sun Oct  2 2011 cs@linux-administrator.com
- initial package
